Author Topic: OpenVAS GSA (Requires Fix)  (Read 2488 times)

drego85

  • Global Moderator
  • Full Member
  • *****
  • Posts: 128
    • View Profile
    • Andrea Draghetti
on: July 27, 2012, 05:44:15 PM
When cliccking on:

Auditing > Vulnerability Assessment > Network Assessment > OpenVAS GSA

the shortcut open my browser with this link: http://localhost:9392

But new OpenVAS requires the SSL protocol, please fix whit this url:

https://localhost:9392

P.S.
Raffaele please enabled me on Wiki. Thank you.
« Last Edit: August 03, 2012, 08:25:29 AM by raffaele »

Andrea Draghetti
Personal Blog


ostendali

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 587
    • View Profile
Reply #1 on: July 31, 2012, 10:47:32 AM
Thanks for the notification which is much appreciated here.
The issue will be fixed ASAP.

Thanks!



ostendali

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 587
    • View Profile
Reply #2 on: July 31, 2012, 01:28:05 PM
When cliccking on:

Auditing > Vulnerability Assessment > Network Assessment > OpenVAS GSA

the shortcut open my browser with this link: http://localhost:9392

But new OpenVAS requires the SSL protocol, please fix whit this url:

https://localhost:9392

P.S.
Raffaele please enabled me on Wiki. Thank you.
drego85,
openVAS has always preferred 443 as connection protocol like nessus, but we did select via http because there was a bug of OpenVAS with the application having issue with https protocol.
OpenVAS has fixed recently this bug, so we will check it, test it and release for the next version if it has been fixed.

Therefore, there are no any problem by using http instead of https, the application works correctly.

Thanks!



drego85

  • Global Moderator
  • Full Member
  • *****
  • Posts: 128
    • View Profile
    • Andrea Draghetti
Reply #3 on: July 31, 2012, 11:03:44 PM
Sorry,
but what version you have installed on backbox?

I have:

Quote
OpenVAS Administrator 1.1.1
Greenbone Security Assistant 2.0.1
OpenVAS Scanner 3.2.4

I just updated, but still requires SSL!

Thanks
Andrea

Andrea Draghetti
Personal Blog


ostendali

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 587
    • View Profile
Reply #4 on: August 02, 2012, 05:43:22 PM
Sorry,
but what version you have installed on backbox?

I have:

Quote
OpenVAS Administrator 1.1.1
Greenbone Security Assistant 2.0.1
OpenVAS Scanner 3.2.4

I just updated, but still requires SSL!

Thanks
Andrea

if you've updated in your own it does, of course support, require SSL, we haven't released new version of openVAS.
we we are looking forward to do that with new bb3...